#####################################
### someone's ansible provisioner ###
#####################################
# Part of: https://git.somenet.org/root/pub/somesible.git
# 2017-2026 by someone <someone@somenet.org>
#
# If not overridden in inventory or as a parameter, this is the value that will be used
#
---
is_bare_metal: True

apt_cache_valid_time: 3600
apt_helper_packages:
  - "fasttrack-archive-keyring"

apt_sources_list_d_entries:
  - "debian"

# purge old packages and cleanup downloaded package cache.
apt_cleanup: True

apt_additional_pkg:
  - "apparmor"
  - "apparmor-utils"
  - "aptitude"
  - "bc"
  - "btrfs-compsize"
  - "btrfs-progs"
  - "conntrack"
  - "console-setup"
  - "dbus"
  - "dnsutils"
  - "dstat"
  - "fdisk"
  - "gdisk"
  - "git"
  - "htop"
  - "linux-sysctl-defaults"
  - "locales"
  - "lshw"
  - "lsof"
  - "man"
  - "pciutils"
  - "plocate"
  - "python3-pip"
  - "rsync"
  - "rsyslog"
  - "sqlite3"
  - "tmux"
  - "vim"
  - "zsh"
  - "zstd"

apt_additional_pkg_bare_metal:
  - "efibootmgr"
  - "fwupd"
  - "fwupd-amd64-signed"
  - "lm-sensors"
  - "mdadm"
  - "smartmontools"
  - "usbutils"

apt_additional_pkg_extra: []
